FreeMat

- Main Page
- Related Pages

vtkXMLPolyDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPolyDataReader reads the VTK XML PolyData file format. One polygonal data file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vtp". This reader is also used to read a single piece of the parallel file format.

To create an instance of class vtkXMLPolyDataReader, simply invoke its constructor as follows

      obj = vtkXMLPolyDataReader

# Methods

The class vtkXMLPolyDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPolyDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPolyDataReader = obj.NewInstance ()`
- `vtkXMLPolyDataReader = obj.SafeDownCast (vtkObject o)`
- `vtkPolyData = obj.GetOutput ()` - Get the reader's output.
- `vtkPolyData = obj.GetOutput (int idx)` - Get the reader's output.
- `vtkIdType = obj.GetNumberOfVerts ()` - Get the number of verts/lines/strips/polys in the output.
- `vtkIdType = obj.GetNumberOfLines ()` - Get the number of verts/lines/strips/polys in the output.
- `vtkIdType = obj.GetNumberOfStrips ()` - Get the number of verts/lines/strips/polys in the output.
- `vtkIdType = obj.GetNumberOfPolys ()` - Get the number of verts/lines/strips/polys in the output.